ISTI Open Access - Feature #25540

Deal with PuMa records not migrated in People
Aug 31, 2023 03:25 PM - Leonardo Candela

Status: Paused Start date: Aug 31, 2023
Priority: Normal Due date:

Assignee: Michele Artini % Done: 50%
Category:

Target version: To Be Planned

Description

This ticket is to monitor the request included in the following message:
Cari Leo e Michele,

ho passato a Gianluca i codici identificativi dei record PuMa che non & stato possibile inserire 1
n People e che dovrebbero, in qualche modo, essere integrati in IOP.

Gianluca ha gia parlato con Michele e hanno concordato che Gianluca fara un lavoro preliminare sui
dati e poi 1li passera a Michele.

Ai fini dell'integrazione in IOP, credo che questi dati non potranno avere grandi "arricchimenti"
ne la necessita di essere associati a uno o piu laboratori, wvisto che questi non esistevano prima
della nascita di ISTI.

La stessa cosa succede gia per molti altri record "datati" e gia presenti in IOP, di autori che no
n sono mai divenuti ISTI o che lo sono stati per poco tempo e presentano la maggior parte dei prop
ri lavori in annate precedenti il 2002.

E' questo il caso di autori come Carboni, Azzarelli, Dall'Antonia etc...

Siamo comunque a disposizione se c'é bisogno di vederci un momento per parlarne o di fare altre co
se operative.

Saluti e buon fine settimana a tutti,
Silvia

Michele Artini and | will identify the strategy to integrate these records into the platform

History

#1 - Aug 31, 2023 03:57 PM - Michele Artini

- Status changed from New to In Progress

| dati che mi aveva passato Gianluca sono gia stati aggregati su D-Net e trasformati nel formato previsto dall'OpenPortal.
In attesa di decidere come renderli visibili, li avevo caricati su un nuovo indice.

In un attimo posso configurare il portale di Beta per commentarli insieme.

Da una prima occhiata mi & sembrato che gli autori presenti sia sull'OpenPortal attuale sia sui dati di Puma
sSoNno persone gia in pensione (come Costantino Thanos e Vittore Casarosa).

Nei dati di Puma mancano infatti autori come Donatella Castelli, Erina Ferro, Fabrizio Sebastiani, ...

#2 - Aug 31, 2023 06:49 PM - Leonardo Candela
- % Done changed from 0 to 50

#3 - Sep 01, 2023 08:16 AM - Anonymous

Ciao Michele,
non sono sicura di aver capito bene cosa intendi rispetto agli autori, magari se puoi configurare il portale di Beta la prossima settimana troviamo un
momento per sentirci e ne parliamo.
Grazie mille, saluti
Silvia

#4 - Sep 06, 2023 10:07 AM - Leonardo Candela

The records we imported are available https:/openportal.beta.isti.cnr.it

Some "issues" we observed:
e author names need to be homogenised and CNR authors need to be added to the authority file;
e some records are without a date or an author;
e access rights need to be checked (we mapped from some numerical values to the standard vocabulary);
¢ pdf needs to be moved into the ftp;
Information about the collection the item belongs to will be added to the splash page to make it evident that the item is a "legacy" item.
All'in all, we have to check the correctness and completeness of the metadata before moving them into the production version of open portal.

#5 - Oct 09, 2023 03:46 PM - Anonymous

Cari,
mi scuso molto, ma non avevo ancora trovato il tempo di rispondervi.

Rispetto a quanto ci comunicate:

author names need to be homogenised and CNR authors need to be added to the authority file;
Ok, a questo possiamo pensare noi e restituirvi il file normalizzato dei nomi per caricarlo nell'authority;

some records are without a date or an author;
questi come li recuperiamo?

access rights need to be checked (we mapped from some numerical values to the standard vocabulary);
Ok, questi li possiamo recuperare e ve li comunichiamo per ogni record, & corretto?

pdf needs to be moved into the ftp;
come verranno caricati i file? Li dobbiamo inserire manualmente o si pud fare automaticamente?

Grazie mille per adesso.
Saluti, Silvia

#6 - Oct 09, 2023 04:41 PM - Leonardo Candela

Anonymous wrote in #note-5:

Cari,
mi scuso molto, ma non avevo ancora trovato il tempo di rispondervi.

Rispetto a quanto ci comunicate:
author names need to be homogenised and CNR authors need to be added to the authority file;

Ok, a questo possiamo pensare noi e restituirvi il file normalizzato dei nomi per caricarlo nell'authority;

OK credo che la questione sia piu articolata:
e non mi & chiaro se nei record abbiamo altre informazioni per identificare gli autori che non siano il nome, e.g. matricola;
¢ per gli autori CNR, quando avremo la lista Michele Artini li inserira nel DB e risolveremo cose a la "Aiello, L." vs "Aiello, Luigia" vs "Aiello,
Luigina"
e per gli autori non CNR forse dovremmo inserirli nello stesso DB ma tener traccia del fatto che non sono CNR;

some records are without a date or an author;

questi come li recuperiamo?

Michele Artini potrebbe darvi la lista completa cosi da poter essere sistematici.

access rights need to be checked (we mapped from some numerical values to the standard vocabulary);

Ok, questi li possiamo recuperare e ve li comunichiamo per ogni record, & corretto?
OK potremmo anche concentrarci su quello che a valle dell'attuale mapping € "sbagliato”.
pdf needs to be moved into the ftp;

come verranno caricati i file? Li dobbiamo inserire manualmente o si puo fare automaticamente?

Credo che si possa automatizzare se l'associazione record-pdf & chiara copiare i pdf su FTP € semplice.
All in all, waiting for Michele Artini ... se necessario possiamo anche organizzare una chiacchierata.

#7 - Oct 09, 2023 05:30 PM - Anonymous

Grazie Leo, rispondo ai punti

non mi € chiaro se nei record abbiamo altre informazioni per identificare gli autori che non siano il nome, e.
g. matricola;

No, non abbiamo altre informazioni, non credo ci siano strumenti per recuperare la matricola di questi autori.

per gli autori CNR, quando avremo la lista Michele Atrtini li inserira nel DB e risolveremo cose a la "Aiello, L." vs "Aiello, Luigia" vs "Aiello, Luigina"
Ok, con Gianluca ci siamo scaricato la lista dal portale beta e ho iniziato a normalizzarli, una volta finito li passo a Gianluca

per gli autori non CNR forse dovremmo inserirli nello stesso DB ma tener traccia del fatto che non sono CNR;

Questo non lo so, per IOP "buono" li gestite separatamente, giusto?

In ogni caso forse vale la pena di fare una chiacchierata, magari ci capiamo meglio.

Saluti, Silvia

#8 - Oct 10, 2023 08:27 AM - Michele Artini

Penso che valga la pena fare una riunione per capire come procedere.

#9 - Mar 25, 2025 11:44 AM - Luca Frosini
- Target version changed from ISTI Open Portal Tasks to To Be Planned

#10 - Mar 25, 2025 11:44 AM - Luca Frosini

- Status changed from In Progress to Paused
